Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.zip
Class ZipIndexer

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.indexer.SampleResourceIndexer
                        |
                        +--org.w3c.jigsaw.zip.ZipIndexer

All Implemented Interfaces:
  java.lang.Cloneable, ContainerInterface, ResourceIndexer

public class ZipIndexer
extends SampleResourceIndexer

Field Summary

Fields inherited from class org.w3c.tools.resources.indexer.SampleResourceIndexer
`ATTR_NOT_INDEXED, ATTR_SUPER_INDEXER, contentTypes, defname, directories, extCaseSensitive, extensions, isWinPlatform`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL, co, id`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, values`

Constructor Summary
`ZipIndexer()`

Method Summary
`protected Resource` | `createDirectoryResource(java.io.File zipfile, java.lang.String name, java.util.Hashtable defs)`
`protected Resource` | `createFileResource(java.io.File zipfile, java.lang.String name, java.util.Hashtable defs)`

Methods inherited from class org.w3c.tools.resources.indexer.SampleResourceIndexer
`createDirectoryResource, createFileResource, createResource, createVirtualResource, delete, delete, enumerateResourceIdentifiers, getDirectories, getExtensions, getFileExtensions, getIndexedDirName, getIndexedFileName, getIndexedName, getSuperIndexer, getTemplateFor, lastModified, loadDirectory, loadExtension, lookup, mergeDefaultAttributes, mergeFrameAttributes, registerResource`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, getClone, getContext, getFrame, getFrames, getHelpURL, getHelpURL, getIdentifier, getLastModified, getParent, getResourceReference, getServer, getSpace, getSpaceEntry, getStoreEntry, getURLPath, getValue, getValue, initialize, initialize, isInitialized, isUnloaded, markModified, notifyUnload, pickleValues, registerFrame, setContext, setContext, setValue, setValue, unregisterFrame, unsafeGetContext, unsafeGetValue, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, lookupAttribute, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZipIndexer

    public ZipIndexer()

Method Detail

### createDirectoryResource

    protected Resource createDirectoryResource(java.io.File zipfile,
                                               java.lang.String name,
                                               java.util.Hashtable defs)

### createFileResource

    protected Resource createFileResource(java.io.File zipfile,
                                          java.lang.String name,
                                          java.util.Hashtable defs)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD